/* IMPORT RESOURCES */

@font-face {
    font-family: 'braile'; /*a name to be used later*/
    src: url("../fonts/braile.ttf"); /*URL to font*/
}

@font-face {
    font-family: 'carlito'; /*a name to be used later*/
    src: url("../fonts/Carlito-Regular.ttf"); /*URL to font*/
}

a { /*remove underline from urls*/
    text-decoration: none;
    color: inherit;
}

body{
    margin:0;
    background-color: black;
}

/* TOP NAV BAR */
#navblock{
    position: sticky;
    width: 100%;
    height: 4rem;
    background-color: black;
    z-index: 2;
}

#navaccent{
     width: 100%;
     height: .4em;
     background-color: #71F4FF;
     position:absolute;
     z-index: 2;
     top: 3.2em;
     z-index: 3;
}

#navtext{
    font-size: 35px;
    color:white;
    font-family: "carlito";
    letter-spacing: .02em;
    padding-left: 1%;
    padding-right:1%;
    z-index: 4;
}

#homepagebutton{
    float: left;
    padding-left: 1%;
    padding-right:1%;
    padding-top: .1em;
    text-decoration: underline;
    z-index: 6;
}

@media only screen and (min-width: 771px) {
    #navgrouped{
        visibility: visible;
        right:.2em;
        position: absolute;
        padding-left: 1%;
        padding-right:1%;
        padding-top: .1em;
        a{
            text-decoration: underline;
            padding:.5em;
        };
        z-index: 6;
    }
    #hamburgermenu{
        visibility: hidden;
        display: inline-block;
    }

    #hamburgerLinksHolder{
        visibility: hidden;
        display: inline-block;
    }

    .hamburgercontained{
        visibility: hidden;
    }

}

#hamburgermenu{
     position:absolute;
        top:.5rem;
        right:.5rem;
        width: 2rem;
}

/* hamburgerify */
@media only screen and (max-width: 770px) {
    #navgrouped{
        visibility: hidden;
    }
    #hamburgermenu{
        visibility: visible;
    }

    #hamburgerLinksHolder{
        visibility: hidden;
        display:flex;
        flex-direction: column;
        width: 8rem;
        height:10rem;
        position: absolute;
        top: 4rem;
        right:0rem;
        padding-right:.7rem;
        background-color: black;
    }

    .hamburgercontained{
        color:white;
        width:100%;
        font-size: 2rem;
        text-decoration: underline;
        padding-top: .6rem;
        text-align: right;
        font-family: "carlito";
    }

}


/*unique stuff for this page*/

 h1{
        font-family: "carlito";
        font-weight: bold;
        color: white;
        font-size: clamp(.75rem, 7vw, 2.5rem);
        margin:0;
        margin-bottom: .6rem;
    }

    .projectlink{
        font-family: 'Times New Roman', Times, serif;
        font-weight: bold;
        font-style: italic;
        font-size: clamp(1rem, 7vw, 2.5rem);
        text-decoration: underline;
        color:#bdeef3;
        margin-left: 1.1rem;

    }

    .projectlink:hover{
        color: #ff2298;
    }

     #pagecontainer{
        margin-top:1rem;
        width: clamp(200px, 80%, 100%);
        display:flex;
        flex-direction: column;
    }

    .sectioncontainer{
        margin-top: .2rem;
        margin-bottom: 1.8rem;
        margin-left: clamp(0rem, 3vw, 2.5rem);
        background-color:none;
        padding-left: clamp(0rem, 3vw, 1rem);
        padding-top:1rem;
        padding-bottom:1rem;

    }

#braileholder{
    font-family: "braile";
    color: #C52C62;
    paint-order: stroke fill;
    -webkit-text-stroke: .4rem #71F4FF;
    font-size: 3rem; /* 64px */
    letter-spacing: -.2rem;
    line-height: 135%;
    user-select: none;
    font-weight:lighter;
    z-index: -5;
    display: inline-block;
    vertical-align: bottom;
    clear:both;
    position:absolute;
    right:1%;
    top:5rem;
    width:110px;
}

#brailedeco{
    text-align:right;
    margin:0;
    margin-top:1.5rem;

}

ul {
    display: flex;
    flex-direction: column;
    position: relative;
    margin:0;
}

li {
  list-style: none;
        display: flex;
        flex-direction: row;
    align-items: center;
}

.bullet{
    display: inline;
    margin:0;
    padding-right:clamp(.5rem, .5vw, 100%);
    user-select: none;
    color:#bdeef3;
    font-family: "carlito";
    font-size: clamp(.75rem, 1.75vw, 5rem);
}
